snappea.h File Reference

Allows reading and writing SnapPea files. More...

`#include <string>`
`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API NTriangulation * | regina::readSnapPea (const char *filename)
| Deprecated function that reads the given SnapPea data file and converts the result to Regina's NTriangulation class (thereby losing some SnapPea-specific information in the process). More...
REGINA_API NTriangulation * | regina::readSnapPea (std::istream &in)
| Deprecated function that reads the contents of a SnapPea data file from the given input stream, and converts the result to Regina's NTriangulation class (thereby losing some SnapPea-specific information in the process). More...
REGINA_API bool | regina::writeSnapPea (const char *filename, const NTriangulation &tri)
| Deprecated function that writes the given triangulation to the given file using SnapPea's native file format. More...
REGINA_API void | regina::writeSnapPea (std::ostream &out, const NTriangulation &tri)
| Deprecated function that writes the given triangulation to the given output stream using SnapPea's native file format. More...

## Detailed Description

Allows reading and writing SnapPea files.

Deprecated:
  All global functions that were once declared in this file have now been renamed to member functions of NSnapPeaTriangulation.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).